Bug 521806 - Unowned directory /usr/lib64/fs
Unowned directory /usr/lib64/fs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-08 08:06 EDT by Michal Schmidt
Modified: 2009-10-13 06:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: xen-3.4.1-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-13 06:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2009-09-08 08:06:00 EDT
Description of problem:
xen-libs owns all subdirectories of /usr/lib64/fs , but not the directory itself. It is not owned by any dependency either.
Unowned directories are undesirable:
http://fedoraproject.org/wiki/Packaging:UnownedDirectories

Version-Release number of selected component (if applicable):
xen-libs-3.4.1-3.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
rpm -qf rpm -qf /usr/lib64/fs
  
Actual results:
"file /usr/lib64/fs is not owned by any package"

Expected results:
The directory should be owned by xen-libs.

Additional info:
This should fix it:

Index: xen.spec
===================================================================
RCS file: /cvs/pkgs/rpms/xen/devel/xen.spec,v
retrieving revision 1.247
diff -u -r1.247 xen.spec
--- xen.spec	2 Sep 2009 11:36:00 -0000	1.247
+++ xen.spec	8 Sep 2009 12:00:56 -0000
@@ -335,7 +335,7 @@
 %files libs
 %defattr(-,root,root)
 %{_libdir}/*.so.*
-%{_libdir}/fs/*
+%{_libdir}/fs
 
 # All runtime stuff except for XenD/xm python stuff
 %files runtime
Comment 1 Justin M. Forbes 2009-10-09 11:04:10 EDT
* Thu Oct 7 2009 Justin M. Forbes <jforbes@redhat.com> - 3.4.1-5
- add PyXML to dependencies. (#496135)
- Take ownership of {_libdir}/fs (#521806)
Comment 2 Justin M. Forbes 2009-10-09 13:36:29 EDT
tag request: https://fedorahosted.org/rel-eng/ticket/2432
Comment 3 Mark McLoughlin 2009-10-13 06:49:09 EDT
tagged into f12-beta

Note You need to log in before you can comment on or make changes to this bug.